#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QTimer>
#include <QProcess>
#include "searchwindow.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void DialogOpen();
    void StartProcessing();
    void fileSelected(const QString &file);
    void pollProcess();
    void startSearch();
private:
    QTimer *timer;
    QString outputstring;
    QString filename;
    Ui::MainWindow *ui;
    QProcess script;
    searchWindow *search;
    int multiple;
};

#endif // MAINWINDOW_H
